Loading...
Searching...
No Matches
oval_result_item Struct Reference
OVAL » OVALRES
Collaboration diagram for oval_result_item:
[legend]

## Public Member Functions

OSCAP_API struct oval_result_item * | oval_result_item_new (struct oval_result_system *, char *)
OSCAP_API struct oval_result_item * | oval_result_item_clone (struct oval_result_system *new_system, struct oval_result_item *old_item)
OSCAP_API void | oval_result_item_free (struct oval_result_item *)
Setters
OSCAP_API void | oval_result_item_set_result (struct oval_result_item *, oval_result_t)
OSCAP_API void | oval_result_item_add_message (struct oval_result_item *, struct oval_message *)
Getters
OSCAP_API struct oval_sysitem * | oval_result_item_get_sysitem (struct oval_result_item *)
OSCAP_API oval_result_t | oval_result_item_get_result (struct oval_result_item *)
OSCAP_API struct oval_message_iterator * | oval_result_item_get_messages (struct oval_result_item *)

## Data Fields

struct oval_result_system * | sys
oval_result_t | result
struct oval_collection * | messages
struct oval_sysitem * | sysitem

The documentation for this struct was generated from the following files:

- oval_resultItem.c
- oval_results.h